# Please Read

Please read these instructions before submitting issues to the Steemit.com GitHub repository. The issue tracker is for bugs and specific implementation discussion **only**. It should not be used for other purposes, as described below.

## Bug Reports

If there is an existing feature that is not working correctly, or a glitch in the website that is impacting user behaviour - please open an issue to report variance. Include as much relevant information as you can, including screen shots and steps to reproduce the issue.

## Technical Support and Signup/Login Issues

If you are having trouble using the website but it is not an error with the website (this includes signup/login issues), do **not** open a GitHub issue. Please request help from the users in the [steemit.chat help](https://steemit.chat/channel/help) channel.

## Enhancement Suggestions

Do **not** use the issue tracker to suggest enhancements or improvements to the platform. The best place for these discussions is on Steemit.com. If there is a well vetted idea that has the support of the community that you feel should be considered by the development team, please email it to [sneak@steemit.com](mailto:sneak@steemit.com) for review.

## Implementation Discussion

The developers frequently open issues to discuss changes that are being worked on. This is to inform the community of the changes being worked on, and to get input from the community and other developers on the implementation.

Issues opened that devolve into lengthy discussion of minor site features will be closed or locked.  The issue tracker is not a general purpose discussion forum.

This is not the place to make suggestions for product improvement (please see the Enhancement Suggestions section above for this). If you are not planning to work on the change yourself - do not open an issue for it.

## Duplicate Issues

Please do a keyword search to see if there is already an existing issue before opening a new one.

## Steemit.com vs. Steem Blockchain

This issue tracker is only intended to track issues for the Steemit.com website. If the issue is with the Steem blockchain, please open an issue in the [Steem Repository](https://github.com/steemit/steem).

## Pull Requests

Anybody in the community is welcome and encouraged to submit pull requests with any desired changes to the platform!

Requests to make changes to steemit.com that include working, tested pull requests jump to the top of the queue. There is not a guarantee that all functionality submitted as a PR will be accepted and merged, however.
